Bug 4801 - [UPDATE REQUEST] qt-creator 3.2.2 -> 3.3.0
: [UPDATE REQUEST] qt-creator 3.2.2 -> 3.3.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-17 13:15 MSK by Andrey Bondrov
Modified: 2014-12-18 13:14 MSK (History)
1 user (show)

See Also:
RPM Package: qt-creator
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2014-12-17 13:15:25 MSK
We need to update Qt Creator to 3.3.0.
Comment 1 Andrey Bondrov 2014-12-17 13:20:43 MSK
Advisory: "New version 3.3.0"

https://abf.rosalinux.ru/build_lists/2376686
https://abf.rosalinux.ru/build_lists/2376687

Since 3.3.0 Qt Creator can no longer be built with Qt4 so we keep qt-creator-qt4 package from 3.2.2 in own SRPM (no advisory needed):

https://abf.rosalinux.ru/build_lists/2376684
https://abf.rosalinux.ru/build_lists/2376685

Please check if qt-creator-qt4 3.2.2 from container and qt-creator 3.3.0 can be both installed without file conflicts, missing application icons etc.

Testing scenarios:
1. Install current qt-creator and qt-creator-qt4. Add both new containers and try to update.
2. Install current qt-creator. Add both new containers and try to update.
3. Install current qt-creator-qt4. Add both new containers and try to update.
4. Add both containers and try to install qt-creator.
5. Add both containers and try to install qt-creator-qt4.
6. Add both containers and try to install both qt-creator and qt-creator-qt4.

As for IDE testing, check if it just runs.
Comment 2 FirstLevel 2014-12-17 23:05:56 MSK
32 bit

1. Install current qt-creator and qt-creator-qt4. Add both new containers and 
try to update. OK
2. Install current qt-creator. Add both new containers and try to update. OK
3. Install current qt-creator-qt4. Add both new containers and try to 
update.OK
4. Add both containers and try to install qt-creator. OK
5. Add both containers and try to install qt-creator-qt4. OK
6. Add both containers and try to install both qt-creator and qt-creator-qt4. OK

As for IDE testing, check if it just runs. OK
Comment 3 FirstLevel 2014-12-18 10:13:30 MSK
64 bit

1. Install current qt-creator and qt-creator-qt4. Add both new containers and try to update. OK 
2. Install current qt-creator. Add both new containers and try to update. OK
3. Install current qt-creator-qt4. Add both new containers and try to update. OK
4. Add both containers and try to install qt-creator. ok
5. Add both containers and try to install qt-creator-qt4. ok
6. Add both containers and try to install both qt-creator and qt-creator-qt4.ั‰ะป 

As for IDE testing, check if it just runs. OK